To use the SniffJdb debugger ...

To use the SniffJdb you need to

Set SniffJdb as your preferred debugger in the SNiFF+ Preferences. This is described under Setting the debugger in the Preferences.
Make sure that debugging tables are generated by the compiler (

-g option). SNiFF+ is delivered with this option set in the Platform Makefiles. How to set the debugging information option is described under Debug information: the -g option.
If you start debugging from the Project Editor, make sure that the project containing the relevant target is highlighted in the Project Tree.